Package org.eclipse.m2m.atl.emftvm.constraints

## Class StackUnderflowValidator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.constraints.StackUnderflowValidator

All Implemented Interfaces:
  `Validator<Instruction>`

    public class StackUnderflowValidator
    extends java.lang.Object
    implements Validator<Instruction>

Validates the final stack level of code blocks, which should be 0 or 1.

### Constructor Summary

Constructors
`StackUnderflowValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `validate​(Instruction i)` Validates `object`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StackUnderflowValidator

    public StackUnderflowValidator()

### Method Detail

#### validate

    public boolean validate​(Instruction i)

Validates `object`.

Specified by:
  `validate` in interface `Validator<Instruction>`
Parameters:
  `i` - the object to validate
Returns:
  `true` if `object` is valid